Subject: Guix package is hardcoded in guix home

From: Gordon Quad <[email-masked]>
Date: Tue, 1 Feb 2022 14:19:57 +0000

guix home uses guix package directly imported from (gnu packages
package-management) gnu/home/services.scm:22

https://git.savannah.gnu.org/cgit/guix.git/tree/gnu/home/services.scm#n22

It looks like for now it is used only here gnu/home/services.scm:283

https://git.savannah.gnu.org/cgit/guix.git/tree/gnu/home/services.scm#n284

It is quite unfortunte to see guix home to pull whole extra copy of guix
only to use few files to do gettext localization init.

If would be nice to be able to customize guix package used there so I
can make sure guix used by guix home is the same as in my guix daemon.